Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members

# Offer_Database.h File Reference

`#include "Trader.h"`
`#include "Offer_Iterators.h"`
`#include "ace/Null_Mutex.h"`

Include dependency graph for Offer_Database.h:

This graph shows which files directly or indirectly include this file:

## Compounds
struct | Offer_Map_Entry
class | TAO_Offer_Database
class | TAO_Service_Offer_Iterator
| TAO_Service_Offer_Iterator iterates over the set of exported offers for a given type. Handily, it takes care of all the necessary locking, acquiring them in the constructor, and releasing them in the destructor. More...

## Detailed Description

Id:
  Offer_Database.h,v 1.18 2003/08/18 06:42:15 ossama Exp

Author:
  Seth Widoff <sbw1@cs.wustl.edu>